
/*
 * DIREITOS AUTORAIS RESERVADOS (C) 2007 UFRJ
 * 
 * ESTE PROGRAMA É SOFTWARE LIVRE; VOCÊ PODE REDISTRIBUÍ-LO E/OU MODIFICÁ-LO SOB OS
 * TERMOS DA LICENÇA PÚBLICA GERAL GNU CONFORME PUBLICADA PELA FREE SOFTWARE FOUNDATION;
 * TANTO A VERSÃO 2 DA LICENÇA, COMO (A SEU CRITÉRIO) QUALQUER VERSÃO POSTERIOR.

 * ESTE PROGRAMA É DISTRIBUÍDO NA EXPECTATIVA DE QUE SEJA ÚTIL, PORÉM, SEM NENHUMA GARANTIA;
 * NEM MESMO A GARANTIA IMPLÍCITA DE COMERCIABILIDADE OU ADEQUAÇÃO A UMA FINALIDADE ESPECÍFICA.
 * CONSULTE A LICENÇA PÚBLICA GERAL DO GNU PARA MAIS DETALHES.
 * 
 * VOCÊ DEVE TER RECEBIDO UMA CÓPIA DA LICENÇA PÚBLICA GERAL DO GNU JUNTO COM ESTE PROGRAMA; 
 * SE NÃO, ACESSE <<HTTP://WWW.GNU.ORG/LICENSES/LICENSES.PT-BR.HTML>>
 */

function validate()
{     
	resetColorLabels('campos2','');
	
	var erro=0;
    var msg='\nPreencha os seguintes campos:\n';
    var nomeAluno;
    var nomePai;
    var nomeMae;
    var nomeResponsavel;
     
 
    /*------------------------------------------------------------------------
    |        VERIFICANDO PREENCHIMENTO DE CAMPOS OBRIGATORIOS                |
    -------------------------------------------------------------------------*/
 
    /* VALIDANDO DEFERIDO */
    /*if(isEmpty(document.getElementById('form_dataMatricula').value))
    {
        msg+='\n -> Deferido';
        if(erro==0)
            document.getElementById('form_dataMatricula').focus();
        erro=1;
    } */
 
    /* VALIDANDO NOME DO ALUNO */
    if(isEmpty(nomeAluno = document.getElementById('form_nomeAluno').value))
    {
         
        msg+='\n -> Nome completo do aluno';
        changeBack('l_nomeAluno','form_nomeAluno','label_alert','field_alert');
 
        if(erro==0)
            document.getElementById('form_nomeAluno').focus();
        erro=1;
    }
    else
    {
		nomeAluno = RetiraAcentos(nomeAluno);
        if(!validaNome(nomeAluno))
        {
            msg+='\n -> Digite o nome completo do aluno';
            changeBack('l_nomeAluno','form_nomeAluno','label_alert','field_alert');
 
            if(erro==0)
                document.getElementById('form_nomeAluno').focus();
            erro=1;
        }
                 
    }
     
    /* VALIDANDO FOTO DO ALUNO */
    
    
    if(($('#verFotoAluno').attr("disabled") != false) && isEmpty(document.getElementById('form_fotoAluno').value))
    {
        msg+='\n -> Foto';
 
        changeBack('l_fotoAluno','form_fotoAluno','label_alert','field_alert');
 
        if(erro==0)
            document.getElementById('form_fotoAluno').focus();
        erro=1;
    }
 
    /* VALIDANDO SEXO */
    res = 0;
    for(i = 0; i < document.InclusaoMatricula.form_sexoAluno.length; i++)
    {
        if (document.InclusaoMatricula.form_sexoAluno[i].checked) {
            res = 1;
            break;
        }
    }
    if (res == 0)
    {
        msg+='\n -> Sexo';
        erro=1;
 
        changeBack('l_sexoAluno',null,'label_alert','field_alert');
    }
 
    /* VALIDANDO DATA DE NASCIMENTO DO ALUNO */
    if(isEmpty(document.getElementById('form_dataNascimentoAluno').value)) 
    {
        msg+='\n -> Data de Nascimento';
 
        changeBack('l_dataNascimentoAluno','form_dataNascimentoAluno','label_alert','field_alert');
 
        if(erro==0)
            document.getElementById('form_dataNascimentoAluno').focus();
        erro=1;
    }
     
    /* VALIDANDO NACIONALIDADE DO ALUNO */
    res = 0;
    for(i = 0; i < document.InclusaoMatricula.form_nacionalidadeAluno.length; i++) 
    {
        if (document.InclusaoMatricula.form_nacionalidadeAluno[i].checked) 
        {
            res = 1;
            break;
        }
    }
    if(res==0) 
    {
        msg += '\n -> Nacionalidade do Aluno(a)';
        erro=1;
 
        changeBack('l_nacionalidadeAluno',null,'label_alert','field_alert');
    }
	
	if(isEmpty(document.getElementById('form_ufNascimentoAluno')) && 
	   document.InclusaoMatricula.form_nacionalidadeAluno[0].checked ||
	   document.getElementById('form_ufNascimentoAluno').value == '0' &&
	   document.InclusaoMatricula.form_nacionalidadeAluno[0].checked)
		{
			msg += '\n -> UF do Aluno(a)';
			erro=1;
 
			changeBack('l_ufNascimentoAluno',null,'label_alert','field_alert');
		}
	
	if(isEmpty(document.getElementById('form_codigoMunicipioNascimentoAluno')) && 
		document.InclusaoMatricula.form_nacionalidadeAluno[0].checked )
		{
			msg += '\n Municipio Nascimento' ;
			erro = 1 ;
			
			changeBack('l_municipioNascimentoAluno',null,'label_alert','field_alert');
		}
     
    /*if(isEmpty(document.getElementById('form_inepAluno').value))
    {
        msg += '\n -> N�mero ID INEP';
        erro=1;
        changeBack('l_inepAluno','form_inepAluno','label_alert','field_alert');
    }*/
	
	/* TIPO SANGUINEO */
	
	 
	if( !document.InclusaoMatricula.form_tpSangueDigitalizada[0].checked &&
		!document.InclusaoMatricula.form_tpSangueDigitalizada[1].checked )
	{
		msg += '\n ->Tipo sanguineo digitalizado' ;
		erro = 1 ;
		
		changeBack('l_tpSangueDigitalizada',null,'label_alert',null) ;
	}
	
    /*------------------------------------------------------------------------
                            CAMPOS DA CERTIDAO CIVIL
    -------------------------------------------------------------------------
     SOMENTE QUANDO FOR NACIONALIDADE BRASILEIRA
    -------------------------------------------------------------------------*/
    if (document.getElementsByName('form_nacionalidadeAluno')[0].checked &&
        document.getElementsByName('form_nacionalidadeAluno')[0].value == '1')
    {
        /* VALIDANDO CART�RIO */
        if(isEmpty(document.getElementById('form_certidaoNascimentoCartorio').value))
        {
            msg+='\n -> Cartorio';
            if(erro==0)
                document.getElementById('form_certidaoNascimentoCartorio').focus();
            erro=1;
 
            changeBack('l_certidaoNascimentoCartorio','form_certidaoNascimentoCartorio','label_alert','field_alert');
        }
		
		/* TERMO */
        if(isEmpty(document.getElementById('form_certidaoNascimentoTermo').value)) 
        {
            msg+='\n -> Termo';
            if(erro==0)
                document.getElementById('form_certidaoNascimentoTermo').focus();
            erro=1;
 
            changeBack('l_certidaoNascimentoTermo','form_certidaoNascimentoTermo','label_alert','field_alert');
        }
        /* FOLHA */
        if(isEmpty(document.getElementById('form_certidaoNascimentoFolha').value)) 
        {
            msg+='\n -> Folha';
            if(erro==0)
                document.getElementById('form_certidaoNascimentoFolha').focus();
            erro=1;
 
               changeBack('l_certidaoNascimentoFolha','form_certidaoNascimentoFolha','label_alert','field_alert');
        }
        /* LIVRO */
        if(isEmpty(document.getElementById('form_certidaoNascimentoLivro').value)) 
        {
            msg+='\n -> Livro';
            if(erro==0)
                document.getElementById('form_certidaoNascimentoLivro').focus();
            erro=1;
 
               changeBack('l_certidaoNascimentoLivro','form_certidaoNascimentoLivro','label_alert','field_alert');
        }
        /* UF */
        if(isEmpty(document.getElementById('form_certidaoNascimentoEstado').value))
        {
            msg+='\n -> UF (Certidao Civil)';
            if(erro==0)
                document.getElementById('form_certidaoNascimentoEstado').focus();
            erro=1;
 
               changeBack('l_certidaoEstado','form_certidaoNascimentoEstado','label_alert','field_alert');
        }
        /* TIPO */
        if(isEmpty(document.getElementById('form_certidaoTipo').value))
        {
            msg+='\n -> Tipo (Certidao Civil)';
            if(erro==0)
                document.getElementById('form_certidaoTipo').focus();
            erro=1;
 
               changeBack('l_certidaoTipo','form_certidaoTipo','label_alert','field_alert');
        }
        /* DATA DE EMISSAO */
        if(isEmpty(document.getElementById('form_certidaoNascimentoEmissao').value))
        {
            msg+='\n -> Data de Emissao';
            if(erro==0)
                document.getElementById('form_certidaoNascimentoEmissao').focus();
            erro=1;
 
               changeBack('l_certidaoNascimentoEmissao','form_certidaoNascimentoEmissao','label_alert','field_alert');
        }
        /* COMPROVADO */
        res = 0;
        for(i = 0; i < document.InclusaoMatricula.form_certidaoApresentada.length; i++) 
        {
            if (document.InclusaoMatricula.form_certidaoApresentada[i].checked) 
            {
                res = 1;
                break;
            }
        }
        if(res==0)
        {
            msg += '\n -> Comprovado (Certidao Civil)';
            erro=1;
             changeBack('l_certidaoApresentada',null,'label_alert','field_alert');
        }
    }     
     
    /*------------------------------ END -------------------------------------*/
 
    if(!isEmpty(document.getElementById('form_cpfAluno').value)) 
	{
		if(!ValidaCPF(document.getElementById('form_cpfAluno').value))
		{
			msg+='\n -> CPF do aluno inv�lido';
	        if(erro==0)
		        document.getElementById('form_cpfAluno').focus();
	        erro=1;
	
			changeBack('l_cpfAluno','form_cpfAluno','label_alert','field_alert');
		}
	}
    
    /*------------------------------------------------------------------------
                            TIPO DE NECESSIDADE
    -------------------------------------------------------------------------*/
    /* COMPROVADO */
    res = 0;
    for(i = 0; i < document.InclusaoMatricula.form_especialAluno.length; i++) 
    {
        if (document.InclusaoMatricula.form_especialAluno[i].checked) 
        {
            res = 1;
            break;
        }
    }
    if(res==0)
    {
        msg += '\n -> Portador de Necessidades Especiais';
        erro=1;
        changeBack('l_especialAluno',null,'label_alert','field_alert');
    }
 
    /* VALIDANDO TIPO DE NECESSIDADE ESPECIAL CASO SEJA SIM */
    if (document.getElementsByName('form_especialAluno')[0].checked)
    {
        res = 0;
        for(i = 0; i < document.InclusaoMatricula.form_tipoNecessidadeEspecial.length; i++)
        {
            if (document.InclusaoMatricula.form_tipoNecessidadeEspecial[i].checked) 
            {
                res = 1;
                break;
            }
        }
        if(res==0)
        {
            msg += '\n -> Deficiencia';
            erro=1;
            changeBack('l_tipoNecessidadeEspecial',null,'label_alert','field_alert');
        }
    }
 
    /* VALIDANDO COR */
    res = 0;
    for(i = 0; i < document.InclusaoMatricula.form_corRacaAluno.length; i++) 
    {
        if (document.InclusaoMatricula.form_corRacaAluno[i].checked) 
        {
            res = 1;
            break;
        }
    }
    if(res==0)
    {
        msg += '\n -> Cor';
        erro=1;
 
        changeBack('l_corRacaAluno',null,'label_alert','field_alert');
    }
 
    /* VALIDANDO BOLSA FAMILIA */
    res = 0;
    for(i = 0; i < document.InclusaoMatricula.form_bolsaFamilia.length; i++) 
    {
        if (document.InclusaoMatricula.form_bolsaFamilia[i].checked) 
        {
            res = 1;
            break;
        }
    }
    if(res==0)
    {
        msg += '\n -> A Familia e Beneficiaria do Bolsa-Familia';
        erro=1;
 
        changeBack('l_bolsaFamilia',null,'label_alert','field_alert');
    }
    /*------------------------------ END -------------------------------------*/
     
	/* VALIDANDO ALUNO POR TRANSFERENCIA */
    // se for "n�o" n�o tem o que validar
    if( $("#form_alunoTransferido_sim").attr("checked") == true )
    {
    	// ok, temos que validar se ele selecionou um tipo e o campo texto
    	var val = $("input[name='form_tipoEscolaOrigem']:checked").val();
    	if( val == null )
    	{
    		// erro
    		msg += '\n -> tipo de origem da escola';
            erro=1;
            changeBack('l_alunoOrigem',null,'label_alert','field_alert');
    	}
		
		if(!document.InclusaoMatricula.form_tipoEscolaOrigem[1].checked)
		{
    	
			if( $("#form_nomeEscolaOrigem").val() == '' )
			{
				msg += '\n -> Unidade Escolar de Origem';
				erro=1;
				changeBack('l_unidadeEscolarOrigem',"form_nomeEscolaOrigem",'label_alert','field_alert');
			}
			
			if( val == "6")
			{
				// nesse caso o campo outros precisa estar preenchido
				if( $("#form_outrosTiposEscolaOrigem").val() == '' )
				{
					msg += '\n -> Especificar origem outros';
					erro=1;
					changeBack('l_alunoTransferenciaOutros','form_outrosTiposEscolaOrigem','label_alert','field_alert');
				}
			}
		}
    }
    else if($("#form_alunoTransferido").attr("checked") == false)
    {
    	// isso significa que nenhum dos dois foi preenchido. Erro.
		msg += '\n -> Aluno por transfer�ncia?';
        erro=1;
        changeBack('l_alunoTransferido',null,'label_alert','field_alert');
    }
      
	if(isEmpty(document.getElementById('form_dataIngressoAlunoEscola').value))
	{
		msg+='\n -> Data de ingresso na escola';
		erro=1;
		
		changeBack('l_dataIngresso','form_dataIngressoAlunoEscola','label_alert','field_alert');
	}
	else
	{
		dataNasc = new Date();
		dataIngresso = new Date();
				
		dataNascAux = document.getElementById('form_dataNascimentoAluno').value ;
		if(dataNascAux == "")
		{
			document.getElementById('form_dataNascimentoAluno').value = "";			
		}
		else
		{
				
			dtIngressoAux = document.getElementById('form_dataIngressoAlunoEscola').value ;
				
			aux1 = dataNascAux.split("/");
			dataNasc.setFullYear(aux1[2],aux1[1]-1,aux1[0]);
			aux2 = dtIngressoAux.split("/");
			dataIngresso.setFullYear(aux2[2],aux2[1]-1,aux2[0]);
				
			totalDias =  Math.ceil((dataIngresso.getTime()-dataNasc.getTime())/1000/60/60/24) ;

			if( totalDias < 365 )
			{
				msg+='\n -> Data de ingresso na escola';
				erro=1;
		
				changeBack('l_dataIngresso','form_dataIngressoAlunoEscola','label_alert','field_alert');
			}
	
		}
	}
		  
     /* VALIDANDO PREENCHIMENTO DO NOME DOS RESPONSAVEIS */
      
    if(document.InclusaoMatricula.form_responsavelMatricula[0].checked)
	{
		if(isEmpty(nomePai = document.getElementById('form_nomePai').value))
		{
			msg+='\n -> Preencher o nome do pai';         
			changeBack('l_nomePai','form_nomePai','label_alert','field_alert');
                 
			//if(erro==0)
			//   document.getElementById('form_nomePai').focus();
			erro=1;
		}
		
		else
		{
			nomePai = RetiraAcentos(nomePai);
			if(!validaNome(nomePai))
			{
				msg+='\n -> Preencher o nome do pai';         
				changeBack('l_nomePai','form_nomePai','label_alert','field_alert');
				erro=1;
			}     
		}
	}
	
	if(document.InclusaoMatricula.form_responsavelMatricula[1].checked)
	{
		 if(isEmpty(nomeMae = document.getElementById('form_nomeMae').value))
		{
			msg+='\n -> Preencher o nome da m�e';
			changeBack('l_nomeMae','form_nomeMae','label_alert','field_alert');
			erro=1;
		}
		else
		{
			nomeMae = RetiraAcentos(nomeMae);
			if(!validaNome(nomeMae))
			{
				msg+='\n -> Preencher o nome da m�e';
				changeBack('l_nomeMae','form_nomeMae','label_alert','field_alert');
				erro=1;
			}                 
		}
	}
	
    if(document.InclusaoMatricula.form_responsavelMatricula[2].checked)
	{
		if(isEmpty(nomeResponsavel = document.getElementById('form_nomeResponsavel').value))
		{
			msg+='\n -> Nome completo do Respons�vel';
			changeBack('l_nomeResponsavel','form_nomeResponsavel','label_alert','field_alert');
			erro=1;
		}
		else
		{
			nomeResponsavel = RetiraAcentos(nomeResponsavel);
			if(!validaNome(nomeResponsavel))
			{
				msg+='\n -> Nome completo do Respons�vel';
				changeBack('l_nomeResponsavel','form_nomeResponsavel','label_alert','field_alert');
				erro=1;
			}
		}
		
			
	}
	
	if(document.InclusaoMatricula.form_responsavelMatricula[2].checked || document.getElementById('form_nomeResponsavel').value != "")
	{
		res = 0;
		for(i = 0; i < document.InclusaoMatricula.form_grauParentescoResponsavel.length; i++) 
		{
			if (document.InclusaoMatricula.form_grauParentescoResponsavel[i].checked) 
			{
				res = 1;
				break;
			}
		}
		if(res==0)
		{
			msg += '\n -> Grau de parentesco do respons�vel';
			erro=1;
 
			changeBack('l_grauParentescoResponsavel',null,'label_alert',null);
		}
		
	}
    /*------------------------------ END -------------------------------------*/
     
    /* VALIDANDO PREENCHIMENTO DE DOCUMENTOS DOS RESPONSAVEIS */
    
       if(document.InclusaoMatricula.form_responsavelMatricula[0].checked){
            if(isEmpty(document.getElementById('form_nisusuariopai').value) &&  
                    isEmpty(document.getElementById('form_cpfusuariopai').value) && 
                    isEmpty(document.getElementById('form_rgusuariopai').value) && 
                    isEmpty(document.getElementById('form_carteiratrabusuariopai').value) && 
                    isEmpty(document.getElementById('form_titeleitorusuariopai').value) && 
                    isEmpty(document.getElementById('form_pispasepusuariopai').value) && 
                    isEmpty(document.getElementById('form_certidaofolhausuariopai').value) && 
                    isEmpty(document.getElementById('form_certidaotermousuariopai').value) && 
                    isEmpty(document.getElementById('form_certidaolivrousuariopai').value) && 
                    isEmpty(document.getElementById('form_certidaocartoriousuariopai').value) && 
                    isEmpty(document.getElementById('form_cartmotoristausuariopai').value)) {
                 
                msg+='\n -> Preencha pelo menos um dos documentos do Pai';
     
                changeBack('l_temNISpai','form_nisusuariopai','label_alert','field_alert');
                changeBack('l_temCPFpai','form_cpfusuariopai','label_alert','field_alert');
                changeBack('l_temRGpai','form_rgusuariopai','label_alert','field_alert');
                changeBack('l_temCarteiraTrabpai','form_carteiratrabusuariopai','label_alert','field_alert');
                changeBack('l_temTituloEleitorpai','form_titeleitorusuariopai','label_alert','field_alert');
                changeBack('l_temPISpai','form_pispasepusuariopai','label_alert','field_alert');
                changeBack('l_certidaofolhausuariopai','form_certidaofolhausuariopai','label_alert','field_alert');
                changeBack('l_certidaotermousuariopai','form_certidaotermousuariopai','label_alert','field_alert');
                changeBack('l_certidaolivrousuariopai','form_certidaolivrousuariopai','label_alert','field_alert');
                changeBack('l_certidaocartoriousuariopai','form_certidaocartoriousuariopai','label_alert','field_alert');
                changeBack('l_temCartMotoristapai','form_cartmotoristausuariopai','label_alert','field_alert');
     
                erro=1;
            }
        }
    
     
        if(document.InclusaoMatricula.form_responsavelMatricula[1].checked){
            if(isEmpty(document.getElementById('form_nisusuariomae').value) &&  
                isEmpty(document.getElementById('form_cpfusuariomae').value) && 
                isEmpty(document.getElementById('form_rgusuariomae').value) && 
                isEmpty(document.getElementById('form_carteiratrabusuariomae').value) && 
                isEmpty(document.getElementById('form_titeleitorusuariomae').value) && 
                isEmpty(document.getElementById('form_pispasepusuariomae').value) && 
                isEmpty(document.getElementById('form_certidaofolhausuariomae').value) && 
                isEmpty(document.getElementById('form_certidaotermousuariomae').value) && 
                isEmpty(document.getElementById('form_certidaolivrousuariomae').value) && 
                isEmpty(document.getElementById('form_certidaocartoriousuariomae').value) && 
                isEmpty(document.getElementById('form_cartmotoristausuariomae').value)) {
             
                msg+='\n -> Preencha pelo menos um dos documentos da Mae';
 
                changeBack('l_nisusuariomae','form_nisusuariomae','label_alert','field_alert');
                changeBack('l_cpfusuariomae','form_cpfusuariomae','label_alert','field_alert');
                changeBack('l_rgusuariomae','form_rgusuariomae','label_alert','field_alert');
                changeBack('l_carteiratrabusuariomae','form_carteiratrabusuariomae','label_alert','field_alert');
                changeBack('l_titeleitorusuariomae','form_titeleitorusuariomae','label_alert','field_alert');
                changeBack('l_pispasepusuariomae','form_pispasepusuariomae','label_alert','field_alert');
                changeBack('l_certidaofolhausuariomae','form_certidaofolhausuariomae','label_alert','field_alert');
                changeBack('l_certidaotermousuariomae','form_certidaotermousuariomae','label_alert','field_alert');
                changeBack('l_certidaolivrousuariomae','form_certidaolivrousuariomae','label_alert','field_alert');
                changeBack('l_certidaocartoriousuariomae','form_certidaocartoriousuariomae','label_alert','field_alert');
                changeBack('l_certidaofolhausuariomae','form_certidaofolhausuariomae','label_alert','field_alert');
                changeBack('l_cartmotoristausuariomae','form_cartmotoristausuariomae','label_alert','field_alert');
                 
                erro=1;
            }
        }
    
       
        if(document.InclusaoMatricula.form_responsavelMatricula[2].checked)
        {
            if(isEmpty(document.getElementById('form_nisusuario').value) &&  
                isEmpty(document.getElementById('form_cpfusuario').value) && 
                isEmpty(document.getElementById('form_rgusuario').value) && 
                isEmpty(document.getElementById('form_carteiratrabusuario').value) && 
                isEmpty(document.getElementById('form_titeleitorusuario').value) && 
                isEmpty(document.getElementById('form_pispasepusuario').value) && 
                isEmpty(document.getElementById('form_certidaofolhausuario').value) && 
                isEmpty(document.getElementById('form_certidaotermousuario').value) && 
                isEmpty(document.getElementById('form_certidaolivrousuario').value) && 
                isEmpty(document.getElementById('form_certidaocartoriousuario').value) && 
                isEmpty(document.getElementById('form_cartmotoristausuario').value)) {
             
                msg+='\n -> Preencha pelo menos um dos documentos do Responsavel';
 
                changeBack('l_nisusuario','form_nisusuario','label_alert','field_alert');
                changeBack('l_cpfusuario','form_cpfusuario','label_alert','field_alert');
                changeBack('l_rgusuario','form_rgusuario','label_alert','field_alert');
                changeBack('l_carteiratrabusuario','form_carteiratrabusuario','label_alert','field_alert');
                changeBack('l_titeleitorusuario','form_titeleitorusuario','label_alert','field_alert');
                changeBack('l_pispasepusuario','form_pispasepusuario','label_alert','field_alert');
                changeBack('l_certidaofolhausuario','form_certidaofolhausuario','label_alert','field_alert');
                changeBack('l_certidaotermousuario','form_certidaotermousuario','label_alert','field_alert');
                changeBack('l_certidaolivrousuario','form_certidaolivrousuario','label_alert','field_alert');
                changeBack('l_certidaocartoriousuario','form_certidaocartoriousuario','label_alert','field_alert');
                changeBack('l_certidaofolhausuario','form_certidaofolhausuario','label_alert','field_alert');
                changeBack('l_cartmotoristausuario','form_cartmotoristausuario','label_alert','field_alert');
                 
                erro=1;
            }
        } 
    
     
    /*------------------------------ END -------------------------------------*/   
 
  
     
    /* VERIFICA A EXISTENCIA DOS DOCUMENTOS SE PREENCHIDOS */
     
	 /* NIS DO PAI */
	if(document.getElementById('form_temNISpai').checked)
	{
		if(isEmpty(document.getElementById('form_nisusuariopai').value))
		{
			msg+='\n -> NIS(Pai)';
			erro = 1;
			changeBack('l_temNISpai','form_nisusuariopai','label_alert','field_alert');
		}
		if(document.getElementById('form_nisusuariodigitalizadapai').checked == true)
		{
			if((document.getElementById('verNisPaiFrente').disabled == true)&&(isEmpty(document.getElementById('enviar_nisPai').value)))
			{
				msg+='\n -> 1� folha NIS(Pai)';
				erro = 1;
				changeBack('l_enviarnispai',null,'label_alert',null);				
			}
		}
		
	}
	
	/* NIS DA MAE */	
	if(document.getElementById('form_temNISmae').checked)
	{	
		if(isEmpty(document.getElementById('form_nisusuariomae').value))
		{
			msg+='\n -> NIS(Mae)';
			erro = 1;
			changeBack('l_nisusuariomae','form_nisusuariomae','label_alert','field_alert');
		}
		if(document.getElementById('form_nisusuariodigitalizadamae').checked == true)
		{
			if((document.getElementById('verNisMaeFrente').disabled == true)&&(isEmpty(document.getElementById('enviar_nisMae').value)))
			{
				msg+='\n -> 1� folha NIS(Mae)';
				erro = 1;
				changeBack('l_enviarnismae',null,'label_alert',null);				
			}	
		}
	}
	
	/* NIS DO RESPONSAVEL */	
	if(document.getElementById('form_temNIS').checked)
	{
		if(isEmpty(document.getElementById('form_nisusuario').value))
		{
			msg+='\n -> NIS(Responsavel)';
			erro = 1;
			changeBack('l_nisusuario','form_nisusuario','label_alert','field_alert');
		}
		if(document.getElementById('form_nisusuariodigitalizada').checked == true)
		{
			if((document.getElementById('verNisRespFrente').disabled == true)&&(isEmpty(document.getElementById('enviar_nisOutro').value)))
			{
				msg+='\n -> 1� folha NIS(Responsavel)';
				erro = 1;
				changeBack('l_enviarnisresp',null,'label_alert',null);				
			}
		}
	}	
	 
    /* CPF DO PAI */
    if(document.getElementById('form_temCPFpai').checked)
	{
		if(isEmpty(document.getElementById('form_cpfusuariopai').value)) 
		{
			msg += '\n -> CPF do pai inv�lido';
			erro=1;
			changeBack('l_temCPFpai','form_cpfusuariopai','label_alert','field_alert');
		}
		else
		{
			if(!ValidaCPF(document.getElementById('form_cpfusuariopai').value)) {
				msg += '\n -> CPF do pai inv�lido';
				erro=1;
				changeBack('l_temCPFpai','form_cpfusuariopai','label_alert','field_alert');
			}
		}
		if(document.getElementById('form_cpfdigitalizadapai').checked == true)
		{
			if((document.getElementById('verCpfPaiFrente').disabled == true)&&(isEmpty(document.getElementById('enviar_cpfPai').value)))
			{
				msg+='\n -> 1� folha do CPF(Pai)';
				erro=1;
				changeBack('l_enviarcpfPai',null,'label_alert',null);
			}					
		}
	}
 
     
     /* CPF DA MAE*/
	if(document.getElementById('form_temCPFmae').checked)
	{
		if(isEmpty(document.getElementById('form_cpfusuariomae').value)) 
		{
			msg += '\n -> CPF da m�e inv�lido';
			erro=1;
			changeBack('l_cpfusuariomae','form_cpfusuariomae','label_alert','field_alert');
		}
		else
		{
			if(!ValidaCPF(document.getElementById('form_cpfusuariomae').value)) 
			{
				msg += '\n -> CPF da m�e inv�lido';
				erro=1;
				changeBack('l_cpfusuariomae','form_cpfusuariomae','label_alert','field_alert');
			}
		}
		if(document.getElementById('form_cpfdigitalizadamae').checked == true)
		{
			if((document.getElementById('verCpfMaeFrente').disabled == true)&&(isEmpty(document.getElementById('enviar_cpfMae').value)))
			{
				msg+='\n -> 1� folha CPF(Mae)';
				erro=1;
				changeBack('l_enviarcpfMae',null,'label_alert',null);
			}
		}
	}
     
    /*CPF DO RESPONSAVEL*/  
	if(document.getElementById('form_temCPF').checked)
	{
		if(isEmpty(document.getElementById('form_cpfusuario').value))
		{
			msg += '\n -> CPF do respons�vel inv�lido';
			erro=1;
			changeBack('l_cpfusuario','form_cpfusuario','label_alert','field_alert');
		}
		else
		{
			if(!ValidaCPF(document.getElementById('form_cpfusuario').value))
			{
				msg += '\n -> CPF do respons�vel inv�lido';
				erro=1;
				changeBack('l_cpfusuario','form_cpfusuario','label_alert','field_alert');
			}
		}
		if(document.getElementById('form_cpfdigitalizada').checked == true)
		{
			if(($('#verCpfRespFrente').attr("disabled") == true)&&(isEmpty($('#enviar_cpfOutro').val())))
			{
				msg+='\n -> 1� folha CPF(Responsavel)';
				erro=1;
				changeBack('l_enviarcpfOutro',null,'label_alert',null);
			}
		}
	}
	/* RG DO PAI */
	if(document.getElementById('form_temRGpai').checked)
	{	
		if(isEmpty(document.getElementById('form_rgusuariopai').value))
		{
			msg+='\n -> RG(Pai)';
			erro=1;
			changeBack('l_temRGpai','form_rgusuariopai','label_alert','field_alert');
		}	
		if(isEmpty(document.getElementById('form_rgusuariodataemissaopai').value))	
		{
			msg+='\n -> Data Emiss�o RG(Pai)';
			erro=1;
			changeBack('l_emissaorgPai',null,'label_alert',null);
		}		
		if(document.getElementById('form_rgusuariodigitalizadapai').checked == true)
		{
			if((document.getElementById('verRgPaiFrente').disabled == true)&&(isEmpty(document.getElementById('enviar_rgPai').value)))
			{
				msg+='\n -> 1� folha RG(Pai)';
				erro = 1;
				changeBack('l_enviarrgpai',null,'label_alert',null);				
			}
		}
		
	}
	
	/* RG DA MAE */
	if(document.getElementById('form_temRGmae').checked)
	{
		if(isEmpty(document.getElementById('form_rgusuariomae').value))
		{
			msg+='\n -> RG(Mae)';
			erro=1;
			changeBack('l_rgusuariomae','form_rgusuariomae','label_alert','field_alert');
		}
		if(isEmpty(document.getElementById('form_rgusuariodataemissaomae').value))
		{
			msg+='\n -> Data emiss�o RG(Mae)';
			erro=1;
			changeBack('l_emissaorgMae',null,'label_alert',null);
		}
		if(document.getElementById('form_rgusuariodigitalizadamae').checked == true)
		{
			if((document.getElementById('verRgMaeFrente').disabled == true)&&(isEmpty(document.getElementById('enviar_rgMae').value)))
			{
				msg+='\n -> 1� folha RG(Mae)';
				erro = 1;
				changeBack('l_enviarrgmae',null,'label_alert',null);				
			}
		}
	}
	
	/* RG DO RESPONSAVEL */	
	if(document.getElementById('form_temRG').checked)
	{
		if(isEmpty(document.getElementById('form_rgusuario').value))	
		{
			msg+='\n -> RG(Responsavel)';
			erro=1;
			changeBack('l_rgusuario','form_rgusuario','label_alert','field_alert');
		}
		if(isEmpty(document.getElementById('form_rgusuariodataemissao').value))
		{
			msg+='\n -> Data emiss�o RG(Responsavel)';
			erro=1;
			changeBack('l_emissaorgResp',null,'label_alert',null);
		}
		if(document.getElementById('form_rgusuariodigitalizada').checked == true)
		{
			if((document.getElementById('verRgRespFrente').disabled == true)&&(isEmpty(document.getElementById('enviar_rgOutro').value)))
			{
				msg+='\n -> 1� folha RG(Responsavel)';
				erro = 1;
				changeBack('l_enviarrgresp',null,'label_alert',null);				
			}
		}
	}
	/* CARTEIRA DE TRABALHO DO PAI */
	if(document.getElementById('form_temCarteiraTrabpai').checked)
	{
		if(isEmpty(document.getElementById('form_carteiratrabusuariopai').value))
		{
			msg+='\n -> Carteira de Trabalho(Pai)';
			erro = 1;
			changeBack('l_temCarteiraTrabpai','form_carteiratrabusuariopai','label_alert','field_alert');	
		}
		
		if(isEmpty(document.getElementById('form_carteiratrabusuarioseriepai').value))
		{
			msg+='\n -> Carteira de Trabalho s�rie(Pai)';
			erro = 1;
			changeBack('l_cartTrabSeriePai','form_carteiratrabusuarioseriepai','label_alert','field_alert');
		}
		
		if(isEmpty(document.getElementById('form_carteiratrabusuariodataemissaopai').value))
		{
			msg+='\n -> Carteira de Trabalho s�rie(Pai)';
			erro = 1;
			changeBack('l_cartTrabEmissaoPai',null,'label_alert',null);
		}
		
		if(document.getElementById('form_carteiratrabusuariodigitalizadapai').checked == true)
		{
			if((document.getElementById('verRgRespFrente').disabled == true)&&(isEmpty(document.getElementById('enviar_carttrabPai').value)))
			{
				msg+='\n -> 1� folha Carteira de Trabalho(Pai)';
				erro = 1;
				changeBack('l_enviartrabpai',null,'label_alert',null);				
			}
		}
	}
	
	/* CARTEIRA DE TRABALHO DA MAE */
	if(document.getElementById('form_temCarteiraTrabmae').checked)
	{
		if(isEmpty(document.getElementById('form_carteiratrabusuariomae').value))
		{			
			msg+='\n -> Carteira de Trabalho(Mae)';
			erro = 1;
			changeBack('l_carteiratrabusuariomae','form_carteiratrabusuariomae','label_alert','field_alert');	
		}
		
		if(isEmpty(document.getElementById('form_carteiratrabusuarioseriemae').value))
		{
			msg+='\n -> Carteira de Trabalho s�rie(Mae)';
			erro = 1;
			changeBack('l_cartTrabSerieMae','form_carteiratrabusuarioseriemae','label_alert','field_alert');	
		}
		
		if(isEmpty(document.getElementById('form_carteiratrabusuariodataemissaomae').value))
		{
			msg+='\n -> Carteira de Trabalho emiss�o(Mae)';
			erro = 1;
			changeBack('l_cartTrabEmissaoMae',null,'label_alert',null);	
		}
		
		if(document.getElementById('form_carteiratrabusuariodigitalizadamae').checked == true)
		{
			if((document.getElementById('verCarteiraMaeFrente').disabled == true)&&(isEmpty(document.getElementById('enviar_carttrabMae').value)))
			{
				msg+='\n -> 1� folha Carteira de Trabalho(Mae)';
				erro = 1;
				changeBack('l_enviartrabmae',null,'label_alert',null);				
			}
		}
	}
	
	/* CARTEIRA DE TRABALHO DO RESPONSAVEL */
	if(document.getElementById('form_temCarteiraTrab').checked)
	{
		if(isEmpty(document.getElementById('form_carteiratrabusuario').value))
		{
			msg+='\n -> Carteira de Trabalho(Responsavel)';
			erro = 1;
			changeBack('l_carteiratrabusuario','form_carteiratrabusuario','label_alert','field_alert');	
		}
		
		if(isEmpty(document.getElementById('form_carteiratrabusuarioserie').value))
		{
			msg+='\n -> Carteira de Trabalho s�rie(Responsavel)';
			erro = 1;
			changeBack('l_cartTrabSerieResp','form_carteiratrabusuarioserie','label_alert','field_alert');	
		}
		
		if(isEmpty(document.getElementById('form_carteiratrabusuariodataemissao').value))
		{
			msg+='\n -> Carteira de Trabalho emiss�o(Responsavel)';
			erro = 1;
			changeBack('l_cartTrabEmissaoResp',null,'label_alert',null);	
		}
		
		if(document.getElementById('form_carteiratrabusuariodigitalizada').checked == true)
		{
			if((document.getElementById('verCarteiraRespFrente').disabled == true)&&(isEmpty(document.getElementById('enviar_carttrabOutro').value)))
			{
				msg+='\n -> 1� folha Carteira de Trabalho(Responsavel)';
				erro = 1;
				changeBack('l_enviartrabresp',null,'label_alert',null);				
			}
		}
	}	

   /* TITULO ELEITOR DO PAI */
	if(document.getElementById('form_temTituloEleitorpai').checked)
	{
		if(isEmpty(document.getElementById('form_titeleitorusuariopai').value))
		{			
			msg += '\n -> Titulo de Eleitor do pai inv�lido';
			erro=1;
			changeBack('l_temTituloEleitor','form_titeleitorusuariopai','label_alert','field_alert');
		}
		else
		{
			if(!ValidaTituloEleitor(document.getElementById('form_titeleitorusuariopai').value)) 
			{
				msg += '\n -> Titulo de Eleitor do pai inv�lido';
				erro=1;
				changeBack('l_temTituloEleitor','form_titeleitorusuariopai','label_alert','field_alert');
			}
		}
		
		if(isEmpty(document.getElementById('form_titeleitorusuariozonapai').value))
		{
			msg += '\n -> Titulo de Eleitor zona(Pai)';
			erro=1;
			changeBack('l_eleitorZonaPai','form_titeleitorusuariozonapai','label_alert','field_alert');
		}
		
		if(isEmpty(document.getElementById('form_titeleitorusuariosecaopai').value))
		{
			msg += '\n -> Titulo de Eleitor emiss�o(Pai)';
			erro=1;
			changeBack('l_eleitorSecaoPai','form_titeleitorusuariosecaopai','label_alert','field_alert');
		}
		
		if(document.getElementById('form_titeleitorusuariodigitalizadapai').checked == true)
		{
			if((document.getElementById('verTituloPaiFrente').disabled == true)&&(isEmpty(document.getElementById('enviar_eleitorPai').value)))
			{
				msg+='\n -> 1� folha Titulo de Eleitor(Pai)';
				erro=1;
				changeBack('l_enviareleitorPai','enviar_eleitorPai','label_alert','field_alert');
			}
		}
	}	
     
    /* TITULO ELEITOR DO MAE */
	if(document.getElementById('form_temTituloEleitormae').checked)
	{
		if(isEmpty(document.getElementById('form_titeleitorusuariomae').value))
		{
			msg += '\n -> Titulo de Eleitor da mae inv�lido';
			erro=1;
			changeBack('l_titeleitorusuariomae','form_titeleitorusuariomae','label_alert','field_alert');
		}
		else
		{
			if(!ValidaTituloEleitor(document.getElementById('form_titeleitorusuariomae').value)) 
			{
				msg += '\n -> Titulo de Eleitor da mae inv�lido';
				erro=1;
				changeBack('l_titeleitorusuariomae','form_titeleitorusuariomae','label_alert','field_alert');
			}
		}
		
		if(isEmpty(document.getElementById('form_titeleitorusuariozonamae').value))
		{
			msg += '\n -> Titulo de Eleitor zona(Mae)';
			erro=1;
			changeBack('l_eleitorZonaMae','form_titeleitorusuariozonamae','label_alert','field_alert');
		}
		
		if(isEmpty(document.getElementById('form_titeleitorusuariosecaomae').value))
		{
			msg += '\n -> Titulo de Eleitor se�ao(Mae)';
			erro=1;
			changeBack('l_eleitorSecaoMae','form_titeleitorusuariosecaomae','label_alert','field_alert');
		}
		
        if(document.getElementById('form_titeleitorusuariodigitalizadamae').checked == true)
        {
            if(isEmpty(document.getElementById('enviar_eleitorMae').value))
            {
                msg+='\n -> 1� folha Titulo de Eleitor(Mae)';
                erro=1;
                changeBack('l_enviareleitorMae','enviar_eleitorMae','label_alert','field_alert');
            }
        }             
    }
     
    /* TITULO ELEITOR DO RESPONSAVEL */
	if(document.getElementById('form_temTituloEleitor').checked)
	{
		if(isEmpty(document.getElementById('form_titeleitorusuario').value))
		{
			msg += '\n -> Titulo de Eleitor do respons�vel inv�lido';
            erro=1;
            changeBack('l_titeleitorusuario','form_titeleitorusuario','label_alert','field_alert');
		}
		else
		{
			if(!ValidaTituloEleitor(document.getElementById('form_titeleitorusuario').value)) 
			{
				msg += '\n -> Titulo de Eleitor do respons�vel inv�lido';
				erro=1;
				changeBack('l_titeleitorusuario','form_titeleitorusuario','label_alert','field_alert');
			}		
		}
		
		if(isEmpty(document.getElementById('form_titeleitorusuariozona').value))
		{
			msg += '\n -> Titulo de Eleitor zona(Responsavel)';
			erro=1;
			changeBack('l_eleitorZonaResp','form_titeleitorusuariozona','label_alert','field_alert');
		}
		
		if(isEmpty(document.getElementById('form_titeleitorusuariosecao').value))
		{
			msg += '\n -> Titulo de Eleitor zona(Responsavel)';
			erro=1;
			changeBack('l_eleitorSecaoResp','form_titeleitorusuariosecao','label_alert','field_alert');
		}
		
        if(document.getElementById('form_titeleitorusuariodigitalizada').checked = true)
        {
            if(isEmpty(document.getElementById('enviar_eleitorOutro').value))
            {
                msg+='\n -> 1� folha Titulo de eleitor(Respons�vel)';
                erro=1;
                changeBack('l_enviareleitorOutro','enviar_eleitorOutro','label_alert','field_alert');
            }
        }
    }
     
    /* PIS DO PAI */
	if(document.getElementById('form_temPISpai').checked)
	{
		if(isEmpty(document.getElementById('form_pispasepusuariopai').value))
		{
			msg += '\n -> PIS do pai inv�lido';
            erro=1;
            changeBack('l_temPISpai','form_pispasepusuariopai','label_alert','field_alert');
		}
		
       else if(!ValidaPIS(document.getElementById('form_pispasepusuariopai').value))
		{
            msg += '\n -> PIS do pai inv�lido';
            erro=1;
            changeBack('l_temPISpai','form_pispasepusuariopai','label_alert','field_alert');
        }
        if(document.getElementById('form_pispasepusuariodigitalizadapai').checked == true)
        {
            if(isEmpty(document.getElementById('enviar_pisPai').value))
            {
                msg+='n -> 1� folha PIS(Pai)';
                erro=1;
                changeBack('l_enviarpisPai','enviar_pisPai','label_alert','field_alert');
            }
        }
    
	}
     
    /* PIS DA MAE */
	if(document.getElementById('form_temPISmae').checked)
	{
		if(isEmpty(document.getElementById('form_pispasepusuariomae').value))
		{
			msg += '\n -> PIS da m�e inv�lido';
            erro=1;
            changeBack('l_pispasepusuariomae','form_pispasepusuariomae','label_alert','field_alert');
		}
        else if(!ValidaPIS(document.getElementById('form_pispasepusuariomae').value)) {
            msg += '\n -> PIS da m�e inv�lido';
            erro=1;
            changeBack('l_pispasepusuariomae','form_pispasepusuariomae','label_alert','field_alert');
        }
        if(document.getElementById('form_pispasepusuariodigitalizadamae').checked == true)
        {
            if(isEmpty(document.getElementById('enviar_pisMae').value))
            {
                msg+='n -> 1� folha PIS(Mae)';
                erro=1;
                changeBack('l_enviarpisMae','enviar_pisMae','label_alert','field_alert');
            }
        }
    }
     
    /* PIS DO RESPONSAVEL */
	if(document.getElementById('form_temPIS').checked)
	{
		if(isEmpty(document.getElementById('form_pispasepusuario').value)) 
		{
			msg += '\n -> PIS do respons�vel inv�lido';
            erro=1;
            changeBack('l_pispasepusuario','form_pispasepusuario','label_alert','field_alert');
		}
        else if(!ValidaPIS(document.getElementById('form_pispasepusuario').value)) {
            msg += '\n -> PIS do respons�vel inv�lido';
            erro=1;
            changeBack('l_pispasepusuario','form_pispasepusuario','label_alert','field_alert');
        }
        if(document.getElementById('form_pispasepusuariodigitalizada'.checked == true))
        {
            if(isEmpty(document.getElementById('enviar_pisOutro').value))
            {
                msg+='n -> 1� folha PIS(Responsavel)';
                erro=1;
                changeBack('l_enviarpisOutro','enviar_pisOutro','label_alert','field_alert');
            }
        }
    }
	
	/* CERTIDAO DO PAI */	
	if(document.getElementById('form_temCertidaopai').checked)
	{
				
		if(isEmpty(document.getElementById('form_certidaofolhausuariopai').value))
		{
			msg+='\n -> Certidao folha(Pai)';
			erro = 1;
			changeBack('l_certidaofolhausuariopai','form_certidaofolhausuariopai','label_alert','field_alert');
		}
		
		if(isEmpty(document.getElementById('form_certidaotermousuariopai').value))
		{
			msg+='\n -> Certidao termo(Pai)';
			erro = 1;
			changeBack('l_certidaotermousuariopai','form_certidaotermousuariopai','label_alert','field_alert');
		}
		
		if(isEmpty(document.getElementById('form_certidaolivrousuariopai').value))
		{
			msg+='\n -> Certidao livro(Pai)';
			erro = 1;
			changeBack('l_certidaolivrousuariopai','form_certidaolivrousuariopai','label_alert','field_alert');
		}
		
		if(isEmpty(document.getElementById('form_certidaocartoriousuariopai').value))
		{
			msg+='\n -> Certidao cart�rio(Pai)';
			erro = 1;
			changeBack('l_certidaocartoriousuariopai','form_certidaocartoriousuariopai','label_alert','field_alert');
		}
		
		if(isEmpty(document.getElementById('form_certidaousuariodataemissaopai').value))
		{
			msg+='\n -> Certidao emiss�o(Pai)';
			erro = 1;
			changeBack('l_certidaoEmissaoPai','form_certidaousuariodataemissaopai','label_alert','field_alert');
		}
		
		if(document.getElementById('form_certidaocartoriodigitalizadausuariopai').checked == true)
		{
			if((document.getElementById('verCertidaoPaiFrente').disabled == true)&&(isEmpty(document.getElementById('enviar_certidaoPai').value)))
			{
				msg+='\n -> 1� folha Certid�o(Pai)';
				erro = 1;
				changeBack('l_enviarcertidaopai',null,'label_alert',null);				
			}
		}
	}
	
	/* CERTIDAO DA MAE */	
	if(document.getElementById('form_temCertidaomae').checked)
	{
			
		if(isEmpty(document.getElementById('form_certidaofolhausuariomae').value))
		{
			msg+='\n -> Certidao folha(Mae)';
			erro = 1;
			changeBack('l_certidaofolhausuariomae','form_certidaofolhausuariomae','label_alert','field_alert');
		}
		
		if(isEmpty(document.getElementById('form_certidaotermousuariomae').value))
		{
			msg+='\n -> Certidao termo(Mae)';
			erro = 1;
			changeBack('l_certidaotermousuariomae','form_certidaotermousuariomae','label_alert','field_alert');
		}
		
		if(isEmpty(document.getElementById('form_certidaolivrousuariomae').value))
		{
			msg+='\n -> Certidao livro(Mae)';
			erro = 1;
			changeBack('l_certidaolivrousuariomae','form_certidaolivrousuariomae','label_alert','field_alert');
		}
		
		if(isEmpty(document.getElementById('form_certidaocartoriousuariomae').value))
		{
			msg+='\n -> Certidao cart�rio(Mae)';
			erro = 1;
			changeBack('l_certidaocartoriousuariomae','form_certidaocartoriousuariomae','label_alert','field_alert');
		}
		
		if(isEmpty(document.getElementById('form_certidaousuariodataemissaomae').value))
		{
			msg+='\n -> Certidao emiss�o(Mae)';
			erro = 1;
			changeBack('l_certidaoEmissaoMae','form_certidaousuariodataemissaomae','label_alert','field_alert');
		}
		
		if(document.getElementById('form_certidaocartoriodigitalizadausuariopai').checked == true)
		{
			if((document.getElementById('verCertidaoPaiFrente').disabled == true)&&(isEmpty(document.getElementById('enviar_certidaoPai').value)))
			{
				msg+='\n -> 1� folha Certid�o(Pai)';
				erro = 1;
				changeBack('l_enviarcertidaopai',null,'label_alert',null);				
			}
		}
	}
	
	/* CERTIDAO DO RESPONSAVEL */	
	if(document.getElementById('form_temCertidao').checked)
	{
		
		if(isEmpty(document.getElementById('form_certidaofolhausuario').value))
		{
			msg+='\n -> Certidao folha(Responsavel)';
			erro = 1;
			changeBack('l_certidaofolhausuario','form_certidaofolhausuario','label_alert','field_alert');
		}
		
		if(isEmpty(document.getElementById('form_certidaotermousuario').value))
		{
			msg+='\n -> Certidao termo(Responsavel)';
			erro = 1;
			changeBack('l_certidaotermousuario','form_certidaotermousuario','label_alert','field_alert');
		}
		
		if(isEmpty(document.getElementById('form_certidaolivrousuario').value))
		{
			msg+='\n -> Certidao livro(Responsavel)';
			erro = 1;
			changeBack('l_certidaolivrousuario','form_certidaolivrousuario','label_alert','field_alert');
		}
		
		if(isEmpty(document.getElementById('form_certidaocartoriousuario').value))
		{
			msg+='\n -> Certidao cart�rio(Responsavel)';
			erro = 1;
			changeBack('l_certidaocartoriousuario','form_certidaocartoriousuario','label_alert','field_alert');
		}
		
		if(isEmpty(document.getElementById('form_certidaousuariodataemissao').value))
		{
			msg+='\n -> Certidao emiss�o(Responsavel)';
			erro = 1;
			changeBack('l_certidaoEmissaoResp','form_certidaousuariodataemissao','label_alert','field_alert');
		}
		
		if(document.getElementById('form_certidaocartoriodigitalizadausuario').checked == true)
		{
			if((document.getElementById('verCertidaoRespFrente').disabled == true)&&(isEmpty(document.getElementById('enviar_certidaoOutro').value)))
			{
				msg+='\n -> 1� folha Certid�o(Responsavel)';
				erro = 1;
				changeBack('l_enviarcertidaoresp',null,'label_alert',null);				
			}
		}
	}
     
    /* CARTEIRA DE MOTORISTA DO PAI */
	if(document.getElementById('form_temCartMotoristapai').checked)
	{
		if(isEmpty(document.getElementById('form_cartmotoristausuariopai').value))
		{
			msg += '\n -> Carteira de Motorista do pai inv�lida';
            erro=1;
            changeBack('l_temCartMotoristapai','form_cartmotoristausuariopai','label_alert','field_alert');
		}
        else if(!ValidaHabilitacaoMotorista(document.getElementById('form_cartmotoristausuariopai').value))
		{
            msg += '\n -> Carteira de Motorista do pai inv�lida';
            erro=1;
            changeBack('l_temCartMotoristapai','form_cartmotoristausuariopai','label_alert','field_alert');
        }
        if(document.getElementById('form_cartmotoristadigitalizadapai').checked == true)
        {
            if(isEmpty(document.getElementById('enviar_cartMotoristaPai').value))
            {
                msg+='\n -> 1� folha Carteira de Motorista(Pai)';
                erro=1;
                changeBack('l_enviarmotoristaPai','enviar_cartMotoristaPai','label_alert','field_alert');
            }
        }
    }
     
    /* CARTEIRA DE MOTORISTA DA MAE */
	if(document.getElementById('form_temCartMotoristamae').checked)
	{
		if(isEmpty(document.getElementById('form_cartmotoristausuariomae').value)) 
		{
			msg += '\n -> Carteira de Motorista da m�e inv�lida';
            erro=1;
            changeBack('l_cartmotoristausuariomae','form_cartmotoristausuariomae','label_alert','field_alert');
		}
        else if(!ValidaHabilitacaoMotorista(document.getElementById('form_cartmotoristausuariomae').value))
		{
            msg += '\n -> Carteira de Motorista da m�e inv�lida';
            erro=1;
            changeBack('l_cartmotoristausuariomae','form_cartmotoristausuariomae','label_alert','field_alert');
        }
        if(document.getElementById('form_cartmotoristadigitalizadamae').checked == true)
        {
            if(isEmpty(document.getElementById('enviar_cartMotoristaMae').value))
            {
                msg+='\n -> 1� folha Carteira de Motorista(Mae)';
                erro=1;
                changeBack('l_enviarmotoristaMae','enviar_cartMotoristaMae','label_alert','field_alert');
            }
        }
    }
     
    /* CARTEIRA DE MOTORISTA DO RESPONSAVEL */
	if(document.getElementById('form_temCartMotorista').checked)	
	{
		if(isEmpty(document.getElementById('form_cartmotoristausuario').value))
		{
			msg += '\n -> Carteira de Motorista do respons�vel inv�lida';
            erro=1;
            changeBack('lcartmotoristausuario','form_cartmotoristausuario','label_alert','field_alert');
		}
        else if(!ValidaHabilitacaoMotorista(document.getElementById('form_cartmotoristausuario').value)) {
            msg += '\n -> Carteira de Motorista do respons�vel inv�lida';
            erro=1;
            changeBack('lcartmotoristausuario','form_cartmotoristausuario','label_alert','field_alert');
        }
        if(document.getElementById('form_cartmotoristadigitalizada').checked == true)
        {
            if(isEmpty(document.getElementById('enviar_cartMotoristaOutro').value))
            {
                msg+='\n -> 1� folha Carteira de Motorista(Responsavel)';
                erro=1;
                changeBack('l_enviarmotoristaOutro','enviar_cartMotoristaOutro','label_alert','field_alert');
            }
        }
    }
	
	 /* VALIDANDO QUEM FEZ A MATRICULA */
    res = 0;
    for(i = 0; i < document.InclusaoMatricula.form_responsavelMatricula.length; i++) 
    {
        if (document.InclusaoMatricula.form_responsavelMatricula[i].checked)
        {
            res = 1;
            break;
        }
    }
    if(res==0)
    {
        msg += '\n -> Quem Fez a Matr�cula';
        erro=1;
        changeBack('l_responsavelMatricula',null,'label_alert','field_alert');
    }
	
	
	/*------------------------------------------------------------------------
                        VALIDANDO DADOS DE ENDERE�O DE ALUNO
    -------------------------------------------------------------------------*/
    if( isEmpty(document.getElementById('form_logradouroTipoAluno').value))
    {
        msg+='\n -> Tipo (logradouro)';
        changeBack('l_logradouroTipoAluno','form_logradouroTipoAluno','label_alert','field_alert');
        if(erro==0)
            document.getElementById('form_logradouroTipoAluno').focus();
        erro=1;
    }
 
    if( isEmpty(document.getElementById('form_logradouroNomeAluno').value) )
    {
        msg+='\n -> Logradouro';
        changeBack('l_logradouroNomeAluno','form_logradouroNomeAluno','label_alert','field_alert');
        if(erro==0)
            document.getElementById('form_logradouroNomeAluno').focus();
        erro=1;
    }
 
    if( isEmpty(document.getElementById('form_logradouroNumeroAluno').value) )
    {
        msg+='\n -> Numero';
        changeBack('l_logradouroNumeroAluno','form_logradouroNumeroAluno','label_alert','field_alert');
        if(erro==0)
            document.getElementById('form_logradouroNumeroAluno').focus();
        erro=1;
    }
 
    if( isEmpty(document.getElementById('form_logradouroUfAluno').value) )
    {
        msg+='\n -> UF';
        changeBack('l_logradouroUfAluno','form_logradouroUfAluno','label_alert','field_alert');
        if(erro==0)
            document.getElementById('form_logradouroUfAluno').focus();
        erro=1;
    }
 
    if( isEmpty(document.getElementById('form_logradouroCidadeAluno').value) )
    {
        msg+='\n -> Cidade';
        changeBack('l_logradouroCidadeAluno','form_logradouroCidadeAluno','label_alert','field_alert');
        if(erro==0)
            document.getElementById('form_logradouroCidadeAluno').focus();
        erro=1;
    }
 
    if( isEmpty(document.getElementById('form_logradouroCepAluno').value) )
    {
        msg+='\n -> CEP';
        changeBack('l_logradouroCepAluno','form_logradouroCepAluno','label_alert','field_alert');
        if(erro==0)
            document.getElementById('form_logradouroCepAluno').focus();
        erro=1;
    }
    /* VALIDANDO TELEFONES E EMAIL */
     
    if(!document.getElementById('form_possuiTelefoneFixo').checked)
    {
        if( isEmpty(document.getElementById('form_telefoneFixoAluno').value) )
        {
            msg+='\n -> Tel. Residencial';
            changeBack('l_telefoneFixoAluno','form_telefoneFixoAluno','label_alert','field_alert');
            if(erro==0)
                document.getElementById('form_telefoneFixoAluno').focus();
            erro=1;
        }
    }
    if(!document.getElementById('form_possuiTelefoneCelular').checked)
    {
        if( isEmpty(document.getElementById('form_telefoneCelularAluno').value) )
        {
            msg+='\n -> Tel. Celular';
            changeBack('l_telefoneCelularAluno','form_telefoneCelularAluno','label_alert','field_alert');
            if(erro==0)
                document.getElementById('form_telefoneCelularAluno').focus();
            erro=1;
        }
    }
    if(!document.getElementById('form_possuiTelefoneRecado').checked)
    {
        if( isEmpty(document.getElementById('form_telefoneRecadoAluno').value) )
        {
            msg+='\n -> Tel. Recado';
            changeBack('l_telefoneRecadoAluno','form_telefoneRecadoAluno','label_alert','field_alert');
            if(erro==0)
                document.getElementById('form_telefoneRecadoAluno').focus();
            erro=1;
        }
    }
    if(!document.getElementById('form_possuiEmail').checked)
    {
        if( isEmpty(document.getElementById('form_emailAluno').value) )
        {
            msg+='\n -> Email';
            changeBack('l_emailAluno','form_emailAluno','label_alert','field_alert');
            if(erro==0)
                document.getElementById('form_emailAluno').focus();
            erro=1;
        }
    }
     
    /* VALIDANDO ENDERECO PARA CORRESPONDENCIA */
    res = 0;
    for(i = 0; i < document.InclusaoMatricula.form_enderecocorrespomesmo.length; i++)
    {
        if (document.InclusaoMatricula.form_enderecocorrespomesmo[i].checked) 
        {
            res = 1;
            break;
        }
    }
    if(res==0)
    {
        msg += '\n -> Endere�o de Correspond�ncia';
        erro=1;
 
        changeBack('l_corresp',null,'label_alert','field_alert');
    }
	
	/* VALIDANDO DADOS DA ESCOLA ANTERIOR */
    if (document.InclusaoMatricula.form_primeiraMatricula[1].checked) {
         
        if(document.getElementById('form_cursouMunicipioNI').checked == false)
        {
             
            if(isEmpty(document.getElementById('form_nomeEscolaAnterior').value)) {
                msg += '\n -> Escola';
                erro=1;
                changeBack('l_nomeEscolaAnterior','form_nomeEscolaAnterior','label_alert','field_alert');
            }
         
            if(isEmpty(document.getElementById('form_codigoEscolaAnterior').value)) {
                msg += '\n -> C�digo';
                erro=1;
                changeBack('l_codigoEscolaAnterior','form_codigoEscolaAnterior','label_alert','field_alert');
            }
         
            if(isEmpty(document.getElementById('form_bairroEscolaAnterior').value)) {
                msg += '\n -> Bairro';
                erro=1;
                changeBack('l_bairroEscolaAnterior','form_bairroEscolaAnterior','label_alert','field_alert');
            }
        }
         
         
        res = 0;
        for(i = 0; i < document.InclusaoMatricula.form_escolaridadeAnterior.length; i++) {
            if (document.InclusaoMatricula.form_escolaridadeAnterior[i].checked) {
                res = 1;
                break;
            }
        }
        if(res==0)
        {
            msg += '\n -> Escolaridade Anterior';
            erro=1;
            changeBack('l_escolaridadeAnterior',null,'label_alert','field_alert');
        }
         
         
        res = 0;
        for(i = 0; i < document.InclusaoMatricula.form_aprovadoAnterior.length; i++) {
            if (document.InclusaoMatricula.form_aprovadoAnterior[i].checked) {
                res = 1;
                break;
            }
        }
        if(res==0)
        {
            msg += '\n -> Aprovado / Reprovado';
            erro=1;
            changeBack('l_aprovadoAnterior',null,'label_alert','field_alert');
        }
         
         
            
        res = 0;
        for(i = 0; i < document.InclusaoMatricula.form_turnoAnterior.length; i++) {
            if (document.InclusaoMatricula.form_turnoAnterior[i].checked) {
                res = 1;
                break;
            }
        }
        if(res==0)
        {
            msg += '\n -> Turno';
            erro=1;
            changeBack('l_turnoAnterior',null,'label_alert','field_alert');
        }
         
         
        res = 0;
        for(i = 0; i < document.InclusaoMatricula.form_comprovadoAnterior.length; i++) {
            if (document.InclusaoMatricula.form_comprovadoAnterior[i].checked) {
                res = 1;
                break;
            }
        }
        if(res==0)
        {
            msg += '\n -> Comprovado';
            erro=1;
            changeBack('l_comprovadoAnterior',null,'label_alert','field_alert');
        }     
         
    }	
	
	/* VALIDANDO PREFERENCIAS PARA O PROXIMO ANO */
    res = 0;
    for(i = 0; i < document.InclusaoMatricula.form_turnoPreferencia.length; i++) 
    {
        if (document.InclusaoMatricula.form_turnoPreferencia[i].checked)
        {
            res = 1;
            break;
        }
    }
    if(res==0)
    {
        msg += '\n -> Turno de Preferencia';
        erro=1;
        changeBack('l_turnoPreferencia',null,'label_alert','field_alert');
    }    
	
	 /* VALIDANDO SE ALUNO PRECISA DE PASSE ESCOLAR */
    res = 0;
    for(i = 0; i < document.InclusaoMatricula.form_alunoNecessitaPasseEscolar.length; i++) 
    {
        if (document.InclusaoMatricula.form_alunoNecessitaPasseEscolar[i].checked) 
        {
            res = 1;
            break;
        }
    }
    if(res==0)
    {
        msg += '\n -> Aluno Necessita de Passe Escolar';
        erro=1;
        changeBack('l_alunoNecessitaPasseEscolar',null,'label_alert','field_alert');
    }
 
    /* VALIDANDO SE RESPONSAVEL PRECISA DE PASSE ESCOLAR */
    res = 0;
    for(i = 0; i < document.InclusaoMatricula.form_responsavelNecessitaPasseEscolar.length; i++)
    {
        if (document.InclusaoMatricula.form_responsavelNecessitaPasseEscolar[i].checked) 
        {
            res = 1;
            break;
        }
    }
    if(res==0)
    {
        msg += '\n -> Responsavel Necessita de Passe Escolar';
        erro=1;
        changeBack('l_responsavelNecessitaPasseEscolar',null,'label_alert','field_alert');
    }
	
    /*------------------------------ END -------------------------------------*/
     
    if(erro==0)
        return true;
    else 
    {
        alert(msg);
        return false;
    }
}
     
 
 
function Trim(str){return str.replace(/^\s+|\s+$/g,"");} 